Your browser was unable to load all of the resources. They may have been blocked by your firewall, proxy or browser configuration.
Press Ctrl+F5 or Ctrl+Shift+R to have your browser try again.

badMessage / Illegal character warnings during upgrade #4017

drdt ·

Today I did an upgrade from 8.0.16 to 8.0.27. I naturally assumed it would go smoothly, because QB is usually just that awesome. But, instead I got this (at the start of the upgrade process):

2018-12-03 13:24:42,462 INFO  - >>> 2018-12-03 13:24:42,461 INFO  - Booting QuickBuild from '/opt/qbserver-8810'...
2018-12-03 13:24:42,463 INFO  - >>> 2018-12-03 13:24:42,462 INFO  - Starting framework...
2018-12-03 13:24:42,487 INFO  - >>> 2018-12-03 13:24:42,487 INFO  - Caching plugin libraries...
2018-12-03 13:24:43,620 INFO  - >>> 2018-12-03 13:24:43,620 INFO  - Starting QuickBuild server...
2018-12-03 13:24:43,781 INFO  - >>> 2018-12-03 13:24:43,779 WARN  - Illegal character 0x16 in state=START for buffer HeapByteBuffer@7bb26d03[p=1,l=244,c=8192,r=243]={\x16<<<\x03\x03\x00\xEf\x01\x00 etc... etc... 0\x00\x00\x00\x00\x00\x00\x00\x00}
2018-12-03 13:24:43,781 INFO  - >>> 2018-12-03 13:24:43,779 WARN  - badMessage: 400 Illegal character 0x16 for HttpChannelOverHttp@68c63fa4{r=0,c=false,a=IDLE,uri=}
2018-12-03 13:24:43,977 INFO  - >>> 2018-12-03 13:24:43,976 INFO  - QuickBuild version table found. Catalog: QUICKBUILD, Schema: PUBLIC, Name: QB_SETTING, Type: TABLE
2018-12-03 13:24:44,004 INFO  - >>> 2018-12-03 13:24:44,004 INFO  - Stopping QuickBuild server...

The upgrade then went on and claims to have completed successfully. But of course I am worried about data corruption.

Can you tell me what happened and what I should do to mitigate?

  • replies 1
  • views 12
  • stars 0
robinshen ADMIN ·

QB upgraded Jetty versions recently and it looks like that this is caused by mis-matched http protocol when new QB code interacts with old QB server. This issue should not happen for subsequent upgrades, and it will not do any harm to your data integrity.